package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.AttEngBase;

/**
 * 工程基础信息 服务层
 */
public interface IAttEngBaseService {

    /**
     * 查询工程基础信息信息
     * @param guid 查询条件
     * @return 工程基础信息信息
     */
    AttEngBase selectAttEngBaseByGuid(String guid);

    /**
     * 查询工程基础信息列表
     * @param attEngBase 工程基础信息查询条件
     * @return 工程基础信息集合
     */
    List<AttEngBase> selectAttEngBaseList(AttEngBase attEngBase);

    /**
     * 新增工程基础信息
     * @param attEngBase 工程基础信息信息
     * @return 影响行数
     */
    int insertAttEngBase(AttEngBase attEngBase);

    /**
     * 修改工程基础信息
     * @param attEngBase 工程基础信息信息
     * @return 影响行数
     */
    int updateAttEngBase(AttEngBase attEngBase);

    /**
     * 删除工程基础信息
     * @param guid 工程基础信息主键
     * @return 影响行数
     */
    int deleteAttEngBaseByGuid(String guid);

    /**
     * 批量删除工程基础信息
     * @param guids 工程基础信息主键数组
     * @return 影响行数
     */
    int deleteAttEngBaseByGuids(String[] guids);
}
